commit 1f509da6d7c9679f727daf539c30f8f1816dd16e
Author: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
Date:   Sun Dec 22 16:19:17 2024 +0100

    testsuite: arm: Use -Os in memset-inline-8* tests
    
    When the test was initially created, -fcommon was the default, but in
    commit r10-4867-g6271dd984d7 the default value changed to -fno-common.
    This change made the test start failing. To counter the over-alignment
    caused by 'a' no longer being common, use -Os.
    
    gcc/testsuite/ChangeLog:
    
            * gcc.target/arm/memset-inline-8.c: Use -Os and prefix assembler
            instructions with a tab to improve test stability.
            * gcc.target/arm/memset-inline-8-exe.c: Use -Os.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
    (cherry picked from commit 681934aead9c1310e3b910d18986b76272168a80)

diff --git a/gcc/testsuite/gcc.target/arm/memset-inline-8-exe.c b/gcc/testsuite/gcc.target/arm/memset-inline-8-exe.c
index 0ff1f6cbe89..157cf1e0568 100644
--- a/gcc/testsuite/gcc.target/arm/memset-inline-8-exe.c
+++ b/gcc/testsuite/gcc.target/arm/memset-inline-8-exe.c
@@ -1,7 +1,7 @@
 /* { dg-do run } */
 /* { dg-skip-if "Don't inline memset using neon instructions" { ! arm_tune_string_ops_prefer_neon } } */
 /* { dg-require-effective-target arm_neon_hw } */
-/* { dg-options "-save-temps -O2 -fno-inline"  } */
+/* { dg-options "-save-temps -Os -fno-inline"  } */
 /* { dg-add-options "arm_neon" } */
 
 #include "./memset-inline-8.c"
diff --git a/gcc/testsuite/gcc.target/arm/memset-inline-8.c b/gcc/testsuite/gcc.target/arm/memset-inline-8.c
index e12e9330f75..39fe4d5d392 100644
--- a/gcc/testsuite/gcc.target/arm/memset-inline-8.c
+++ b/gcc/testsuite/gcc.target/arm/memset-inline-8.c
@@ -1,6 +1,6 @@
 /* { dg-do compile } */
 /* { dg-skip-if "Don't inline memset using neon instructions" { ! arm_tune_string_ops_prefer_neon } } */
-/* { dg-options "-save-temps -O2 -fno-inline"  } */
+/* { dg-options "-save-temps -Os -fno-inline"  } */
 /* { dg-add-options "arm_neon" } */
 
 #include <string.h>
@@ -37,6 +37,6 @@ main(void)
   return 0;
 }
 
-/* { dg-final { scan-assembler-not "bl?\[ \t\]*memset" { target { arm_thumb2_ok } } } } */
-/* { dg-final { scan-assembler "vst1" { target { arm_little_endian && arm_neon } } } } */
-/* { dg-final { scan-assembler-not "vstr" { target { arm_little_endian && arm_neon } } } } */
+/* { dg-final { scan-assembler-not "\tbl?\[ \t\]*memset" { target { arm_thumb2_ok } } } } */
+/* { dg-final { scan-assembler "\tvst1" { target { arm_little_endian && arm_neon } } } } */
+/* { dg-final { scan-assembler-not "\tvstr" { target { arm_little_endian && arm_neon } } } } */

